---
title: Get Viewed Catalog Items by ID
slug: api-documentation/get-viewed-catalog-items-by-id
docTags: 
createdAt: 2026-08-27T17:08:30.775Z
---

{
  "id": "m25AspmJh3O7L2_E1Y0nn",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/siteactivity/customer/{customerId}/catalog",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/siteactivity/customer/{customerId}/catalog"
      }
    ],
    "name": "Get Viewed Catalog Items by ID",
    "description": "<p>This endpoint returns the list of viewed catalog items for a specific consumer.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>siteactivity.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "customerId",
          "type": "string<uuid>",
          "description": "Unique identifier for the consumer.",
          "format": "uuid"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "from",
          "type": "string<date-time>",
          "description": "<p>Start date for filtering viewed items (ISO 8601 format). If not specified, returns all items.</p>",
          "format": "date-time"
        },
        {
          "kind": "optional",
          "name": "to",
          "type": "string<date-time>",
          "description": "<p>End date for filtering viewed items (ISO 8601 format). If not specified, returns items up to current time.</p>",
          "format": "date-time"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "AnonymousAuth",
          "name": "AnonymousAuth",
          "kind": "optional",
          "type": "http",
          "description": "This is the most basic authentication. The minimum requirement for access is a token representing the user as an anonymous client.",
          "scheme": "bearer"
        },
        {
          "id": "LoggedIn",
          "name": "LoggedIn",
          "kind": "optional",
          "type": "http",
          "description": "The presence of this token indicates that the user is a known consumer that has previously logged into the platform.",
          "scheme": "bearer"
        },
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success–viewed catalog items returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "The details of the catalog item the consumer has viewed.",
            "customType": "CustomerViewedCatalogItem[]",
            "schema": [
              {
                "name": "catalogItemId",
                "kind": "required",
                "type": "string",
                "description": "<p>Unique identifier for the catalog item–product id or stock keeping unit (SKU) id, that was viewed.</p>",
                "example": "prod13453245"
              },
              {
                "name": "customerId",
                "kind": "required",
                "type": "string<uuid>",
                "description": "Unique identifier for the consumer.",
                "example": "0909908D-A5DE-4733-8947-321FCE0EA18D",
                "format": "uuid"
              },
              {
                "name": "lastViewedAt",
                "kind": "required",
                "type": "string<date-time>",
                "description": "The most recent view of the indicated item.",
                "example": "2017-07-21T17:32:28Z",
                "format": "date-time"
              },
              {
                "name": "viewedCount",
                "kind": "required",
                "type": "integer<int64>",
                "description": "How many times this item was viewed by the consumer.",
                "example": 3,
                "format": "int64",
                "minimum": 0
              }
            ],
            "modelRef": "#/components/schemas/CustomerViewedCatalogItem",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned when a request fails validation, identifying the offending input by name, code and detail.</p>",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Standard error payload identifying a failure by name, code and detail, with an optional machine-readable reason.</p>",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "UptX2FYpwHhFp_UteB1Zg",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/siteactivity/customer/{customerId}/catalog \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "hB9UBsv9oFIL_ACQzqO5K",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/siteactivity/customer/{customerId}/catalog\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "W5jy-_8IEJMz15aM-l2Fn",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/siteactivity/customer/{customerId}/catalog\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "5T7aO3RBvr3mOjp8Aihci",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/siteactivity/customer/{customerId}/catalog\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "UptX2FYpwHhFp_UteB1Zg"
    },
    "results": {
      "languages": [
        {
          "id": "2P0NafZSjZxX2XKaS1Cqs",
          "language": "200",
          "code": "// Success–viewed catalog items returned.\n[\n  {\n    \"catalogItemId\": \"prod13453245\",\n    \"customerId\": \"0909908D-A5DE-4733-8947-321FCE0EA18D\",\n    \"lastViewedAt\": \"2017-07-21T17:32:28Z\",\n    \"viewedCount\": 3\n  }\n]"
        },
        {
          "id": "9Df76EStB1qq1N3TrC6gf",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "e8Fid3VAP2qvpmZ0om5w5",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "2P0NafZSjZxX2XKaS1Cqs"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}